Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.vm
Class VmMetrics

`java.lang.Object
oracle.ovs.api.datamodel.vm.VmMetrics`

      public class VmMetrics

extends java.lang.Object

This class is to collect the virtual machine metrics when vm is running.

Since:
  2.1.5

Field Summary
`static java.lang.String` | `VM_CPUUTIL`
`static java.lang.String` | `VM_MEMORY_ACTUAL`
`static java.lang.String` | `VM_MEMORY_DYNAMIC_MAX`
`static java.lang.String` | `VM_MEMORY_DYNAMIC_MIN`
`static java.lang.String` | `VM_MEMORY_STATIC_MAX`
`static java.lang.String` | `VM_MEMORY_STATIC_MIN`
`static java.lang.String` | `VM_NAME`
`static java.lang.String` | `VM_STATE`
`static java.lang.String` | `VM_UUID`

Constructor Summary
`VmMetrics()`

Method Summary
`java.lang.String` | `getCpuUtil()`
`java.lang.String` | `getUuid()`
`java.lang.Long` | `getVmId()`
`java.lang.Long` | `getVmMemoryActual()`
`java.lang.Long` | `getVmMemoryDynamicMax()`
`java.lang.Long` | `getVmMemoryDynamicMin()`
`java.lang.Long` | `getVmMemoryStaticMax()`
`java.lang.Long` | `getVmMemoryStaticMin()`
`java.lang.String` | `getVmName()`
`java.lang.String` | `getVmState()`
`void` | `setCpuUtil(java.lang.String cpuUtil)`
`void` | `setUuid(java.lang.String uuid)`
`void` | `setVmId(java.lang.Long vmId)`
`void` | `setVmMemoryActual(java.lang.Long vmMemoryActual)`
`void` | `setVmMemoryDynamicMax(java.lang.Long vmMemoryDynamicMax)`
`void` | `setVmMemoryDynamicMin(java.lang.Long vmMemoryDynamicMin)`
`void` | `setVmMemoryStaticMax(java.lang.Long vmMemoryStaticMax)`
`void` | `setVmMemoryStaticMin(java.lang.Long vmMemoryStaticMin)`
`void` | `setVmName(java.lang.String vmName)`
`void` | `setVmState(java.lang.String vmState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VM_UUID

    public static java.lang.String VM_UUID

### VM_NAME

    public static java.lang.String VM_NAME

### VM_MEMORY_STATIC_MIN

    public static java.lang.String VM_MEMORY_STATIC_MIN

### VM_MEMORY_STATIC_MAX

    public static java.lang.String VM_MEMORY_STATIC_MAX

### VM_MEMORY_DYNAMIC_MIN

    public static java.lang.String VM_MEMORY_DYNAMIC_MIN

### VM_MEMORY_DYNAMIC_MAX

    public static java.lang.String VM_MEMORY_DYNAMIC_MAX

### VM_MEMORY_ACTUAL

    public static java.lang.String VM_MEMORY_ACTUAL

### VM_STATE

    public static java.lang.String VM_STATE

### VM_CPUUTIL

    public static java.lang.String VM_CPUUTIL

Constructor Detail

### VmMetrics

    public VmMetrics()

Method Detail

### setVmId

    public void setVmId(java.lang.Long vmId)

### getVmId

    public java.lang.Long getVmId()

### setUuid

    public void setUuid(java.lang.String uuid)

### getUuid

    public java.lang.String getUuid()

### setVmName

    public void setVmName(java.lang.String vmName)

### getVmName

    public java.lang.String getVmName()

### setVmMemoryStaticMin

    public void setVmMemoryStaticMin(java.lang.Long vmMemoryStaticMin)

### getVmMemoryStaticMin

    public java.lang.Long getVmMemoryStaticMin()

### setVmMemoryStaticMax

    public void setVmMemoryStaticMax(java.lang.Long vmMemoryStaticMax)

### getVmMemoryStaticMax

    public java.lang.Long getVmMemoryStaticMax()

### setVmMemoryDynamicMin

    public void setVmMemoryDynamicMin(java.lang.Long vmMemoryDynamicMin)

### getVmMemoryDynamicMin

    public java.lang.Long getVmMemoryDynamicMin()

### setVmMemoryDynamicMax

    public void setVmMemoryDynamicMax(java.lang.Long vmMemoryDynamicMax)

### getVmMemoryDynamicMax

    public java.lang.Long getVmMemoryDynamicMax()

### setVmState

    public void setVmState(java.lang.String vmState)

### getVmState

    public java.lang.String getVmState()

### setVmMemoryActual

    public void setVmMemoryActual(java.lang.Long vmMemoryActual)

### getVmMemoryActual

    public java.lang.Long getVmMemoryActual()

### setCpuUtil

    public void setCpuUtil(java.lang.String cpuUtil)

### getCpuUtil

    public java.lang.String getCpuUtil()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.